gnu.io

## Class RXTXCommDriver

- java.lang.Object
- - gnu.io.RXTXCommDriver

All Implemented Interfaces:
  CommDriver

    public class RXTXCommDriver
    extends java.lang.Object
    implements CommDriver

This is the JavaComm for Linux driver.

### Constructor Summary

Constructors
Constructor and Description
`RXTXCommDriver()`

### Method Summary

Methods
`CommPort` `getCommPort(java.lang.String PortName, int PortType)`
`void` `initialize()` Determine the OS and where the OS has the devices located
`static java.lang.String` `nativeGetVersion()`
`void` `Report(java.lang.String arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RXTXCommDriver

    public RXTXCommDriver()

### Method Detail

#### nativeGetVersion

    public static java.lang.String nativeGetVersion()

#### initialize

    public void initialize()

Determine the OS and where the OS has the devices located

Specified by:
  `initialize` in interface `CommDriver`

#### getCommPort

    public CommPort getCommPort(java.lang.String PortName,
                       int PortType)

Specified by:
  `getCommPort` in interface `CommDriver`
Parameters:
  `PortName` - The name of the port the OS recognizes
  `PortType` - CommPortIdentifier.PORT_SERIAL or PORT_PARALLEL
Returns:
  CommPort getCommPort() will be called by CommPortIdentifier from its openPort() method. PortName is a string that was registered earlier using the CommPortIdentifier.addPortName() method. getCommPort() returns an object that extends either SerialPort or ParallelPort.

#### Report

    public void Report(java.lang.String arg)